export type Service = {
	readonly name: string;
	readonly icon?: string;
	readonly iconType?: IconType;
	readonly href: string;
	readonly desc: string;
	readonly warn: string;
	readonly extLink?: string;
	readonly id: number;
};

export type Server = {
	readonly name: string;
	readonly icon?: string;
	readonly iconType?: IconType;
	readonly connection?: string;
	readonly href?: string;
	readonly desc?: string;
	readonly extLink?: string;
	readonly id?: number;
};

export enum IconType {
	SVG = 'svg',
	AVIF = 'avif',
	PNG = 'png',
	WEBP = 'webp',
	JPG = 'jpg'
}
